module GI.WebKit2.Objects.WebView where

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

newtype WebView = WebView (ForeignPtr WebView)
instance GObject WebView where
class GObject o => WebViewK o
instance (GObject o, IsDescendantOf WebView o) => WebViewK o
data WebViewEditablePropertyInfo
data WebViewEstimatedLoadProgressPropertyInfo
data WebViewFaviconPropertyInfo
data WebViewIsLoadingPropertyInfo
data WebViewIsPlayingAudioPropertyInfo
data WebViewRelatedViewPropertyInfo
data WebViewSettingsPropertyInfo
data WebViewTitlePropertyInfo
data WebViewUriPropertyInfo
data WebViewUserContentManagerPropertyInfo
data WebViewWebContextPropertyInfo
data WebViewZoomLevelPropertyInfo
data WebViewAuthenticateSignalInfo
data WebViewCloseSignalInfo
data WebViewContextMenuSignalInfo
data WebViewContextMenuDismissedSignalInfo
data WebViewCreateSignalInfo
data WebViewDecidePolicySignalInfo
data WebViewEnterFullscreenSignalInfo
data WebViewInsecureContentDetectedSignalInfo
data WebViewLeaveFullscreenSignalInfo
data WebViewLoadChangedSignalInfo
data WebViewLoadFailedSignalInfo
data WebViewLoadFailedWithTlsErrorsSignalInfo
data WebViewMouseTargetChangedSignalInfo
data WebViewPermissionRequestSignalInfo
data WebViewPrintSignalInfo
data WebViewReadyToShowSignalInfo
data WebViewResourceLoadStartedSignalInfo
data WebViewRunAsModalSignalInfo
data WebViewRunColorChooserSignalInfo
data WebViewRunFileChooserSignalInfo
data WebViewScriptDialogSignalInfo
data WebViewShowNotificationSignalInfo
data WebViewSubmitFormSignalInfo
data WebViewWebProcessCrashedSignalInfo
