module GI.WebKit2.Objects.WindowProperties where

import Prelude ()
import Data.GI.Base.ShortPrelude

import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map

newtype WindowProperties = WindowProperties (ForeignPtr WindowProperties)
instance GObject WindowProperties where
class GObject o => WindowPropertiesK o
instance (GObject o, IsDescendantOf WindowProperties o) => WindowPropertiesK o
data WindowPropertiesFullscreenPropertyInfo
data WindowPropertiesGeometryPropertyInfo
data WindowPropertiesLocationbarVisiblePropertyInfo
data WindowPropertiesMenubarVisiblePropertyInfo
data WindowPropertiesResizablePropertyInfo
data WindowPropertiesScrollbarsVisiblePropertyInfo
data WindowPropertiesStatusbarVisiblePropertyInfo
data WindowPropertiesToolbarVisiblePropertyInfo
